Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 389097 (CVE-2011-4073) - <net-misc/openswan-2.6.37 Cryptographic Helper Use-After-Free DoS (CVE-2011-4073)
Summary: <net-misc/openswan-2.6.37 Cryptographic Helper Use-After-Free DoS (CVE-2011-4...
Status: RESOLVED FIXED
Alias: CVE-2011-4073
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://secunia.com/advisories/46681/
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks: 349640 CVE-2011-2147
  Show dependency tree
 
Reported: 2011-10-31 13:53 UTC by Agostino Sarubbo
Modified: 2012-03-16 11:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-10-31 13:53:11 UTC
From secunia security advisory at $URL:

Description:
The vulnerability is caused due to a use-after-free error related to the crypto helper handler, which can be exploited to crash the IKE daemon by passing specially crafted ISAKMP phase 1 authentication.

The vulnerability is reported in versions 2.3.0 through 2.6.36 (configured with nhelpers=0).

Solution:
Update to version 2.6.37 or apply patch.
Comment 1 Agostino Sarubbo gentoo-dev 2011-10-31 13:55:50 UTC
Atm I set to B3 because I don't know if nhelpers=0 is a default or not configuration.

Anyway there is no big difference from B3 ad C3
Comment 2 Alin Năstac (RETIRED) gentoo-dev 2011-11-08 20:26:51 UTC
net-misc/openswan-2.6.37 has been submitted to the tree
Comment 3 Agostino Sarubbo gentoo-dev 2011-11-08 20:34:30 UTC
Thanks.

Arches please test and mark stable:

=net-misc/openswan-2.6.37
target KEYWORDS : "amd64 x86"
Comment 4 Agostino Sarubbo gentoo-dev 2011-11-08 20:53:40 UTC
@mrness, is enough compile test or is required other?
Comment 5 Alin Năstac (RETIRED) gentoo-dev 2011-11-08 23:01:41 UTC
I've test it myself in a L2TP setup, a simple compile test should be enough.
Comment 6 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-11-09 13:52:18 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2011-11-09 17:25:08 UTC
amd64 ok
Comment 8 Ian Delaney (RETIRED) gentoo-dev 2011-11-10 11:14:53 UTC
amd64:

just a minor QA issue;

* QA Notice: Package has poor programming practices which may compile
 *            fine but exhibit random runtime failures.
 * ikeping.c:257:9: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * ikeping.c:259:9: warning: dereferencing type-punned pointer will break strict-aliasing rules

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.

otherwise all aok
Comment 9 Tony Vroon gentoo-dev 2011-11-10 14:32:11 UTC
+  10 Nov 2011; Tony Vroon <chainsaw@gentoo.org> openswan-2.6.37.ebuild:
+  Marked stable on AMD64 based on arch testing by Agostino "ago" Sarubbo & Ian
+  "idella4" Delaney in security bug #389097.
Comment 10 Agostino Sarubbo gentoo-dev 2011-11-10 16:05:40 UTC
Thanks, added glsa request vote
Comment 11 Tim Sammut (RETIRED) gentoo-dev 2011-11-10 19:24:26 UTC
Thanks, folks. GLSA Vote: yes.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2011-11-18 06:17:46 UTC
CVE-2011-4073 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-4073):
  Use-after-free vulnerability in the cryptographic helper handler
  functionality in Openswan 2.3.0 through 2.6.36 allows remote attackers to
  cause a denial of service (pluto IKE daemon crash) via vectors related to
  the (1) quick_outI1_continue and (2) quick_outI1 functions.
Comment 13 Sean Amoss gentoo-dev Security 2012-03-06 21:12:59 UTC
Vote: Yes.

Created new GLSA request.
Comment 14 GLSAMaker/CVETool Bot gentoo-dev 2012-03-16 11:15:27 UTC
This issue was resolved and addressed in
 GLSA 201203-13 at http://security.gentoo.org/glsa/glsa-201203-13.xml
by GLSA coordinator Sean Amoss (ackle).